import 'package:flutter/material.dart';
import 'package:vgk_game_services/vgk_game_services.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Games Services plugin example app'),
        ),
        body: Center(
          child: Column(
            children: <Widget>[
              ElevatedButton(
                child: const Text('signIn1'),
                onPressed: () async {
                  final result = await VgkGameServices.signIn;
                  print(result);
                },
              ),
            ],
          ),
        ),
      ),
    );
  }
}
